Subject: about address A1 ad A2 problem in LDP of mpls

From: jinglin <[email-masked]>
Date: Tue, 07 Mar 2000 18:23:20 +0800

I cannot understand the meaning of the words:"    2.  LSR1 determines
whether it will play the active or passive role
         in session establishment by comparing addresses A1 and A2 as

Andersson, et al.                                              [Page 14]

Internet Draft         draft-ietf-mpls-ldp-06.txt           October 1999

         unsigned integers.  If A1 > A2, LSR1 plays the active role;
         otherwise it is passive.  "
I want to know what kind of address of A1&A2, IP address or TCP port
No.? why the role is determined by the size of A1 &A2?

thanks.
jinglin

---

From: jinglin <[email-masked]>
Date: Mon, 13 Mar 2000 20:44:25 +0800

Tanks for your help. I have another question now.  I saw the following
sentences in the same draft(draft-ietf-mpls-ldp-06.txt):
"" An LDP Message is malformed if:

     - The Message Type is unknown.

       If the Message Type is < 0x8000 (high order bit = 0) it is an
       error signaled by the Unknown Message Type Status Code.

       If the Message Type is >= 0x8000 (high order bit = 1) it is
       silently discarded.

Any value of Message type(error for <0x8000,discard for >=0x8000) causes LDP
message malformed, then which values
are right for message type?

[email-masked] wrote:

> On Tue, 07 Mar 2000 18:23:20 +0800, jinglin <[email-masked]>  said:
> > I cannot understand the meaning of the words:
> >"    2.  LSR1 determines whether it will play the active or passive role
> I don't know what A1/A2 are, but a IP/port tuple sounds like a good
> guess (*PLEASE* read the draft to see if I am right).  This would have
> the property that the tuples represending the two ends of the connection
> would be almost guaranteed to be different (ignoring the boundary
> condition of connecting a port to itself).
>
> A1 and A2 are both almost certainly the same *size* as in "number
> of bits used to represent them".  What is being compared is the *value*
> of the two addresses.  mlps needs a fast way to determin which will
> be the active/passive role.  Whichever has the higher value address
> becomes active.  If these were telephones, we'd say "compare the two
> phone numbers as integers, whichever has the higher number acts
> as the active end".
>
>                                 Valdis Kletnieks
>                                 Operating Systems Analyst
>                                 Virginia Tech